# NWChem

**High-Performance Computational Chemistry**

## Introduction

NWChem aims to provide its users with computational chemistry tools that are scalable both in their ability to treat large scientific computational chemistry problems efficiently, and in their use of available parallel computing resources from high-performance parallel supercomputers to conventional workstation clusters.

[Homepage](http://www.nwchem-sw.org/index.php/Main_Page)

## Installed versions

The following versions are currently installed:

-   NWChem/6.3.revision2-2013-10-17-Python-2.7.8, current release. Compiled with Intel compilers, MKL and Intel MPI
-   NWChem/6.5.revision26243-intel-2015b-2014-09-10-Python-2.7.8

For a current list of installed versions, execute:

```bash
    module avail NWChem
```

The recommend to use version 6.5. Version 6.3 fails on Salomon nodes with accelerator, because it attempts to communicate over scif0 interface. In 6.5 this is avoided by setting ARMCI_OPENIB_DEVICE=mlx4_0, this setting is included in the module.

## Running

 NWChem is compiled for parallel MPI execution. Normal procedure for MPI jobs applies. Sample jobscript :

```bash
    #PBS -A IT4I-0-0
    #PBS -q qprod
    #PBS -l select=1:ncpus=24:mpiprocs=24

    cd $PBS_O_WORKDIR
    module add NWChem/6.5.revision26243-intel-2015b-2014-09-10-Python-2.7.8
    mpirun nwchem h2o.nw
```

## Options

Please refer to [the documentation](http://www.nwchem-sw.org/index.php/Release62:Top-level) and in the input file set the following directives :

-   MEMORY : controls the amount of memory NWChem will use
-   SCRATCH_DIR : set this to a directory in [SCRATCH filesystem](../../storage/storage/) (or run the calculation completely in a scratch directory). For certain calculations, it might be advisable to reduce I/O by forcing "direct" mode, eg. "scf direct"
