# Salomon Cluster Software

## [Modules](../../modules-salomon)

-   List of Available Modules
    ## [Compilers](compilers)
-   Available compilers, including GNU, INTEL and UPC compilers
    ## [Intel Xeon Phi](intel-xeon-phi)
-   A guide to Intel Xeon Phi usage
    ## [Java](java)
-   Java on the cluster
    ## [Operating System](operating-system)
-   The operating system, deployed on Salomon cluster
    ## Intel Suite
-   The Intel Parallel Studio XE
    ### [Introduction](intel-suite/intel-parallel-studio-introduction)
    ### [Intel MKL](intel-suite/intel-mkl)
    ### [Intel Compilers](intel-suite/intel-compilers)
    ### [Intel IPP](intel-suite/intel-integrated-performance-primitives)
    ### [Intel TBB](intel-suite/intel-tbb)
    ### [Intel Debugger](intel-suite/intel-debugger)
    ### [Intel Inspector](intel-suite/intel-inspector)
    ### [Intel Trace Analyzer and Collector](intel-suite/intel-trace-analyzer-and-collector)
    ### [Intel Advisor](intel-suite/intel-advisor)
    ## MPI
-   Message Passing Interface libraries
    ### [Introduction](mpi/mpi)
    ### [MPI4Py (MPI for Python)](mpi/mpi4py-mpi-for-python)
    ### [Running Open MPI](mpi/Running_OpenMPI)
    ## Debuggers
-   A collection of development tools
    ### [Introduction](debuggers/Introduction)
    ### [Valgrind](debuggers/valgrind)
    ### [Allinea Forge (DDT,MAP)](debuggers/allinea-ddt)
    ### [Total View](debuggers/total-view)
    ### [Intel VTune Amplifier XE](debuggers/intel-vtune-amplifier)
    ### [Aislinn](debuggers/aislinn)
    ### [Allinea Performance Reports](debuggers/allinea-performance-reports)
    ### [Vampir](debuggers/vampir)
    ## Numerical Languages
-   Interpreted languages for numerical computations
    ### [Introduction](numerical-languages/introduction)
    ### [R](numerical-languages/r)
    ### [MATLAB](numerical-languages/matlab)
    ### [Octave](numerical-languages/octave)
    ## Chemistry
-   Tools for computational chemistry
    ### [Molpro](chemistry/molpro)
    ### [Phono3py](chemistry/phono3py)
    ### [NWChem](chemistry/nwchem)
    ## COMSOL
-   A finite element analysis, solver and Simulation software
    ### [COMSOL](comsol/comsol-multiphysics)
    ### [Licensing and Available Versions](comsol/licensing-and-available-versions)
    ## ANSYS
-   An engineering simulation software
    ### [Introduction](ansys/ansys)
    ### [Workbench](ansys/workbench)
    ### [ANSYS CFX](ansys/ansys-cfx)
    ### [ANSYS LS-DYNA](ansys/ansys-ls-dyna)
    ### [ANSYS MAPDL](ansys/ansys-mechanical-apdl)
    ### [ANSYS Fluent](ansys/ansys-fluent)
    ### [Setting license preferences](ansys/licensing)
    ### [Licensing and Available Versions](ansys/setting-license-preferences)
