# Intel Trace Analyzer and Collector

Intel Trace Analyzer and Collector (ITAC) is a tool to collect and graphicaly analyze behaviour of MPI applications. It helps you to analyze communication patterns of your application, identify hotspots, perform correctnes checking (identify deadlocks, data corruption etc), simulate how your application would run on a different interconnect.

ITAC is a offline analysis tool - first you run your application to collect a trace file, then you can open the trace in a GUI analyzer to view it.

## Installed version

Currently on Salomon is version 9.1.2.024 available as module  itac/9.1.2.024

## Collecting traces

ITAC can collect traces from applications that are using Intel MPI. To generate a trace, simply add -trace option to your mpirun command :

```bash
    $ module load itac/9.1.2.024
    $ mpirun -trace myapp
```

The trace will be saved in file myapp.stf in the current directory.

## Viewing traces

To view and analyze the trace, open ITAC GUI in a [graphical environment](../../../get-started-with-it4innovations/accessing-the-clusters/graphical-user-interface/x-window-system/):

```bash
    $ module load itac/9.1.2.024
    $ traceanalyzer
```

The GUI will launch and you can open the produced `*`.stf file.

![](../../../img/Snmekobrazovky20151204v15.35.12.png)

Please refer to Intel documenation about usage of the GUI tool.

## References

1.  [Getting Started with Intel® Trace Analyzer and Collector](https://software.intel.com/en-us/get-started-with-itac-for-linux)
2.  [Intel® Trace Analyzer and Collector - Documentation](https://software.intel.com/en-us/intel-trace-analyzer)
